<div class="question">
    <div class="question-mob">
        <span *ngIf="saqResponse.saqQuestion?.parentQuestion" class="f-14 d-flex">
            <span>{{saqResponse.saqQuestion?.parentQuestion?.questionNumber}}</span>&nbsp;
            <span [innerHTML]="saqResponse.saqQuestion?.parentQuestion?.questionText"></span>
        </span>
        <div class="m-3 f-14">
            <span *ngIf="!isQueRoman; else queListView" class="d-flex">
                <span>{{saqResponse.saqQuestion?.questionNumber}}</span>&nbsp;
                <span [innerHTML]="saqResponse.saqQuestion?.questionText"></span>
            </span>
            <ng-template #queListView class="m-3 f-14">
                <ul>
                    <li>
                        <span class="d-inline-block" [innerHTML]="saqResponse.saqQuestion?.questionText"></span>
                    </li>
                </ul>
            </ng-template>
            <div class="mt-3 testing">
                <span><b>Expected Testing</b></span>
                <ul>
                    <li *ngFor="let tests of saqResponse.saqQuestion?.expectedTests">
                        {{tests.testName}}
                    </li>
                </ul>
            </div>
            <form (ngSubmit)="saveAndContinue(questionForm)" #questionForm="ngForm">
                <div class="form-group mt-3">
                    <span><b>Please select a response below</b></span>
                    <div class="grid-radio">
                        <label for="yes" class="mb-2 ml-4">
                            <input id="yes" name="yes" type="radio" [value]="QUESTION_RESPONSE.YES"
                                   [(ngModel)]="saqResponse.questionResponse" #radio="ngModel" required>Yes
                        </label>
                        <label for="yes_with_ccw" class="mb-2 ml-4">
                            <input id="yes_with_ccw" name="yes_with_ccw" type="radio"
                                   [value]="QUESTION_RESPONSE.YES_WITH_CCW"
                                   [(ngModel)]="saqResponse.questionResponse" #radio="ngModel" required>Yes with CCW
                        </label>
                        <label for="no" class="mb-2 ml-4">
                            <input id="no" name="no" type="radio" [value]="QUESTION_RESPONSE.NO"
                                   [(ngModel)]="saqResponse.questionResponse" #radio="ngModel" required>No
                        </label>
                        <label for="na" class="mb-2 ml-4">
                            <input id="na" name="na" type="radio" [value]="QUESTION_RESPONSE.NA"
                                   [(ngModel)]="saqResponse.questionResponse" #radio="ngModel" required>N/A
                        </label>
                        <label for="not_tested" class="mb-2 ml-4">
                            <input id="not_tested" name="not_tested" type="radio" [value]="QUESTION_RESPONSE.NOT_TESTED"
                                   [(ngModel)]="saqResponse.questionResponse" #radio="ngModel" required>Not Tested
                        </label>
                    </div>
                    <div *ngIf="!radio.valid && submitted"
                         class="alert alert-danger error-msg">
                        <div [hidden]="!radio.hasError('required')">Select any Option first!!</div>
                    </div>
                </div>

                <hr>
                <div [ngSwitch]="saqResponse?.questionResponse">
                    <div *ngSwitchCase="QUESTION_RESPONSE.NA">
                        <h6><span class="appendix-heading">Appendix C: Explaination of Non-Applicability</span>
                        </h6>
                        <div class="form-group d-flex mt-3">
                            <div class="col-3 p-0 requirement-label">
                                <label><b>Requirement Number</b></label>
                                <p class="pull-right pr-4">:</p>
                            </div>
                            <div class="col-9 p-0 input-content">
                                <input type="text" class="form-control" disabled
                                       value="{{saqResponse.saqQuestion?.questionNumber}}">
                            </div>
                        </div>
                        <div class="form-group d-flex mt-3">
                            <div class="col-3 p-0 label-dispaly"><label><b>Reason Requirement is not
                                applicable</b></label>
                                <p class="pull-right pr-4">:</p></div>
                            <div class="col-9 p-0 input-content">
                                    <textarea rows="5" cols="35" class="form-control" name="reason"
                                              [(ngModel)]="saqResponse.nonApplicabilityExplanation.reasonRequirementNotApplicable"
                                              #reason="ngModel" required></textarea>
                                <div *ngIf="!reason.valid && submitted"
                                     class="alert alert-danger error-msg">
                                    <div [hidden]="!reason.hasError('required')">Reason is required!!</div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div *ngSwitchCase="QUESTION_RESPONSE.NOT_TESTED">
                        <h6><span class="appendix-heading">Appendix D: Explaination of Requirements Not Tested</span>
                        </h6>
                        <div class="form-group d-flex mt-3">
                            <div class="col-3 p-0 requirement-label">
                                <label><b>Requirement Number</b></label>
                                <p class="pull-right pr-4">:</p>
                            </div>
                            <div class="col-9 p-0 input-content">
                                <input type="text" class="form-control" disabled
                                       value="{{saqResponse.saqQuestion.questionNumber}}">
                            </div>
                        </div>
                        <div class="form-group d-flex mt-3">
                            <div class="col-3 p-0 label-dispaly"><label><b>Describe which part(s) of the requirement was
                                not
                                tested</b></label>
                                <p class="pull-right pr-4">:</p>
                            </div>
                            <div class="col-9 p-0 input-content">
                                <textarea rows="2" cols="35" class="form-control"
                                          [(ngModel)]="saqResponse.requirementNotTestedExplanation.requirementPartNotTested"
                                          #describe="ngModel" name="describe" required></textarea>
                                <div *ngIf="!describe.valid && submitted"
                                     class="alert alert-danger error-msg">
                                    <div [hidden]="!describe.hasError('required')">Description is required!!</div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group d-flex mt-3">
                            <div class="col-3 p-0 label-dispaly"><label><b>Describe why requirements were
                                not
                                tested</b></label>
                                <p class="pull-right pr-lg-4 pr-sm-0">:</p>
                            </div>
                            <div class="col-9 p-0 input-content">
                                <textarea rows="5" cols="35" class="form-control"
                                          [(ngModel)]="saqResponse.requirementNotTestedExplanation.reason"
                                          #reason="ngModel" name="reason" required></textarea>
                                <div *ngIf="!reason.valid && submitted"
                                     class="alert alert-danger error-msg">
                                    <div [hidden]="!reason.hasError('required')">Reason is required!!</div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div *ngSwitchCase="QUESTION_RESPONSE.YES_WITH_CCW">
                        <h6><span class="appendix-heading">Appendix B: Compensating Controls Worksheets</span></h6>
                        <div class="form-group d-flex mt-3">
                            <div class="col-3 p-0 requirement-label">
                                <label><b>Requirement Number</b></label>
                                <p class="pull-right pr-4">:</p>
                            </div>
                            <div class="col-9 p-0 input-content">
                                <input type="text" class="form-control" disabled
                                       value="{{saqResponse.saqQuestion.questionNumber}}">
                            </div>
                        </div>
                        <div class="form-group mt-3 shadow-view"
                             *ngFor="let ccw of saqResponse?.compensatingControlWorksheetResponses; let i = index">
                            <div class="display-ccw col-3 p-0">
                                <div class="type-index"><b>{{i+1}}.</b></div>
                                <div class="ccw-heading"><span><b>{{ccw.compensatingControlWorksheetId.compensatingControlType}}</b></span>
                                </div>
                            </div>
                            <div class="col-9"></div>
                            <div class="d-flex mt-2">
                                <div class="col-3 ccw-label mw-100"><span><b>Information Required</b></span>
                                    <p class="pull-right">:</p></div>
                                <div class="col-9 p-0 mw-100">
                                    <span>{{ccw.compensatingControlWorksheetId.requiredInformation}}</span></div>
                            </div>
                            <div class="d-flex mt-2">
                                <div class="col-3 ccw-label"><span><b>Explanation</b></span>
                                    <p class="pull-right">:</p></div>
                                <div class="col-9 p-0 input-content">
                                    <textarea rows="3" cols="35" class="form-control"
                                              [(ngModel)]="ccw.explanation" name="{{ i + 'explanation'}}"
                                              #explanation="ngModel" required>
                                    </textarea>
                                    <div *ngIf="!explanation.valid && submitted" class="alert alert-danger error-msg">
                                        Explanation is required!!
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div *ngIf="!isCorrection">
        <div class="row-md action-div" *ngIf="!(curState === STATE.APPENDIX_WITH_LAST && (curPage === PAGE.LAST || curPage === PAGE.SINGLE))">
            <jhi-button [class.disabled]="!isFormDirty() || disableSubmit" (click)="saveAndExit(questionForm)" exit>Save & Exit
            </jhi-button>
            <jhi-button [class.disabled]="!isFormDirty() || disableSubmit" (click)="saveAndContinue(questionForm)" continue>Save & Continue
            </jhi-button>
        </div>
        <div class="row-md action-div" *ngIf="curState === STATE.APPENDIX_WITH_LAST && (curPage === PAGE.LAST || curPage === PAGE.SINGLE)">
            <jhi-button submit-lg (click)="saveAndContinue(questionForm)">Submit</jhi-button>
        </div>

        <div class="arrows mt-auto mb-4">
            <i [hidden]="curPage === PAGE.FIRST || curPage === PAGE.SINGLE" (click)="back()"
               class="fa fa-4x fa-angle-left ml-4"></i>
            <i [hidden]="curPage === PAGE.LAST || curPage === PAGE.SINGLE" (click)="forward()"
               class="fa fa-4x fa-angle-right float-right mr-4"></i>
        </div>
    </div>
    <div *ngIf="isCorrection">
        <div class="row-md action-div">
            <jhi-button (click)="onCancel()" update-cancel>Cancel</jhi-button>
            <jhi-button [class.disabled]="!isFormDirty() || disableSubmit" (click)="onUpdate(questionForm)" update>Update</jhi-button>
        </div>
    </div>
</div>
